Rocky Linux: RLSA-2022:1777 webkit2gtk3 security | LinuxSecurity.com

Advisories

\{'type': 'Security', 'shortCode': 'RL', 'name': 'RLSA-2022:1777', 'synopsis': 'Moderate: webkit2gtk3 security, bug fix, and enhancement update', 'severity': 'Moderate', 'topic': 'An update for webkit2gtk3 is now available for Rocky Linux 8.\nRocky Linux Product Security has rated this update as having a security impact of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.', 'description': 'WebKitGTK is the port of the portable web rendering engine WebKit to the GTK platform.\nThe following packages have been upgraded to a later upstream version: webkit2gtk3 (2.34.6). (BZ#1985042)\nFor more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.\nAdditional Changes:\nFor detailed information on changes in this release, see the Rocky Linux 8.6 Release Notes linked from the References section.', 'solution': None, 'affectedProducts': ['Rocky Linux 8'], 'fixes': ['1985042', '2017898', '2017901', '2017904', '2018573', '2034347', '2034368', '2034373', '2034376', '2034378', '2034381', '2034383', '2034386', '2034389', '2038907', '2040327', '2040329', '2040331', '2041559', '2044521', '2044528', '2044534', '2044538', '2044542', '2044551', '2044553', '2045291', '2053179', '2053181', '2053185', '2056474', '2073903'], 'cves': ['Red Hat:::https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30809.json:::CVE-2021-30809', 'Red Hat:::https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30818.json:::CVE-2021-30818', 'Red Hat:::https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30823.json:::CVE-2021-30823', 'Red Hat:::https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30836.json:::CVE-2021-30836', 'Red Hat:::https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30884.json:::CVE-2021-30884', 'Red Hat:::https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30887.json:::CVE-2021-30887', 'Red Hat:::https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30888.json:::CVE-2021-30888', 'Red Hat:::https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30889.json:::CVE-2021-30889', 'Red Hat:::https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30890.json:::CVE-2021-30890'], 'references': [], 'publishedAt': '2022-05-18T19:34:56.989442Z', 'rpms': ['webkit2gtk3-2.34.6-1.el8.aarch64.rpm', 'webkit2gtk3-2.34.6-1.el8.i686.rpm', 'webkit2gtk3-2.34.6-1.el8.src.rpm', 'webkit2gtk3-2.34.6-1.el8.x86_64.rpm', 'webkit2gtk3-debuginfo-2.34.6-1.el8.aarch64.rpm', 'webkit2gtk3-debuginfo-2.34.6-1.el8.i686.rpm', 'webkit2gtk3-debuginfo-2.34.6-1.el8.x86_64.rpm', 'webkit2gtk3-debugsource-2.34.6-1.el8.aarch64.rpm', 'webkit2gtk3-debugsource-2.34.6-1.el8.i686.rpm', 'webkit2gtk3-debugsource-2.34.6-1.el8.x86_64.rpm', 'webkit2gtk3-devel-2.34.6-1.el8.aarch64.rpm', 'webkit2gtk3-devel-2.34.6-1.el8.i686.rpm', 'webkit2gtk3-devel-2.34.6-1.el8.x86_64.rpm', 'webkit2gtk3-devel-debuginfo-2.34.6-1.el8.aarch64.rpm', 'webkit2gtk3-devel-debuginfo-2.34.6-1.el8.i686.rpm', 'webkit2gtk3-devel-debuginfo-2.34.6-1.el8.x86_64.rpm', 'webkit2gtk3-jsc-2.34.6-1.el8.aarch64.rpm', 'webkit2gtk3-jsc-2.34.6-1.el8.i686.rpm', 'webkit2gtk3-jsc-2.34.6-1.el8.x86_64.rpm', 'webkit2gtk3-jsc-debuginfo-2.34.6-1.el8.aarch64.rpm', 'webkit2gtk3-jsc-debuginfo-2.34.6-1.el8.i686.rpm', 'webkit2gtk3-jsc-debuginfo-2.34.6-1.el8.x86_64.rpm', 'webkit2gtk3-jsc-devel-2.34.6-1.el8.aarch64.rpm', 'webkit2gtk3-jsc-devel-2.34.6-1.el8.i686.rpm', 'webkit2gtk3-jsc-devel-2.34.6-1.el8.x86_64.rpm', 'webkit2gtk3-jsc-devel-debuginfo-2.34.6-1.el8.aarch64.rpm', 'webkit2gtk3-jsc-devel-debuginfo-2.34.6-1.el8.i686.rpm', 'webkit2gtk3-jsc-devel-debuginfo-2.34.6-1.el8.x86_64.rpm']}\

Rocky Linux: RLSA-2022:1777 webkit2gtk3 security

September 2, 2022
An update for webkit2gtk3 is now available for Rocky Linux 8

Summary

An update for webkit2gtk3 is now available for Rocky Linux 8. Rocky Linux Product Security has rated this update as having a security impact of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.


WebKitGTK is the port of the portable web rendering engine WebKit to the GTK platform. The following packages have been upgraded to a later upstream version: webkit2gtk3 (2.34.6). (BZ#1985042) For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section. Additional Changes: For detailed information on changes in this release, see the Rocky Linux 8.6 Release Notes linked from the References section.

RPMs

webkit2gtk3-2.34.6-1.el8.aarch64.rpm
webkit2gtk3-2.34.6-1.el8.i686.rpm
webkit2gtk3-2.34.6-1.el8.src.rpm
webkit2gtk3-2.34.6-1.el8.x86_64.rpm
webkit2gtk3-debuginfo-2.34.6-1.el8.aarch64.rpm
webkit2gtk3-debuginfo-2.34.6-1.el8.i686.rpm
webkit2gtk3-debuginfo-2.34.6-1.el8.x86_64.rpm
webkit2gtk3-debugsource-2.34.6-1.el8.aarch64.rpm
webkit2gtk3-debugsource-2.34.6-1.el8.i686.rpm
webkit2gtk3-debugsource-2.34.6-1.el8.x86_64.rpm
webkit2gtk3-devel-2.34.6-1.el8.aarch64.rpm
webkit2gtk3-devel-2.34.6-1.el8.i686.rpm
webkit2gtk3-devel-2.34.6-1.el8.x86_64.rpm
webkit2gtk3-devel-debuginfo-2.34.6-1.el8.aarch64.rpm
webkit2gtk3-devel-debuginfo-2.34.6-1.el8.i686.rpm
webkit2gtk3-devel-debuginfo-2.34.6-1.el8.x86_64.rpm
webkit2gtk3-jsc-2.34.6-1.el8.aarch64.rpm
webkit2gtk3-jsc-2.34.6-1.el8.i686.rpm
webkit2gtk3-jsc-2.34.6-1.el8.x86_64.rpm
webkit2gtk3-jsc-debuginfo-2.34.6-1.el8.aarch64.rpm
webkit2gtk3-jsc-debuginfo-2.34.6-1.el8.i686.rpm
webkit2gtk3-jsc-debuginfo-2.34.6-1.el8.x86_64.rpm
webkit2gtk3-jsc-devel-2.34.6-1.el8.aarch64.rpm
webkit2gtk3-jsc-devel-2.34.6-1.el8.i686.rpm
webkit2gtk3-jsc-devel-2.34.6-1.el8.x86_64.rpm
webkit2gtk3-jsc-devel-debuginfo-2.34.6-1.el8.aarch64.rpm
webkit2gtk3-jsc-devel-debuginfo-2.34.6-1.el8.i686.rpm
webkit2gtk3-jsc-devel-debuginfo-2.34.6-1.el8.x86_64.rpm

References

Severity
Name: RLSA-2022:1777
Affected Products: Rocky Linux 8

Fixes

https://bugzilla.redhat.com/show_bug.cgi?id=1985042

https://bugzilla.redhat.com/show_bug.cgi?id=2017898

https://bugzilla.redhat.com/show_bug.cgi?id=2017901

https://bugzilla.redhat.com/show_bug.cgi?id=2017904

https://bugzilla.redhat.com/show_bug.cgi?id=2018573

https://bugzilla.redhat.com/show_bug.cgi?id=2034347

https://bugzilla.redhat.com/show_bug.cgi?id=2034368

https://bugzilla.redhat.com/show_bug.cgi?id=2034373

https://bugzilla.redhat.com/show_bug.cgi?id=2034376

https://bugzilla.redhat.com/show_bug.cgi?id=2034378

https://bugzilla.redhat.com/show_bug.cgi?id=2034381

https://bugzilla.redhat.com/show_bug.cgi?id=2034383

https://bugzilla.redhat.com/show_bug.cgi?id=2034386

https://bugzilla.redhat.com/show_bug.cgi?id=2034389

https://bugzilla.redhat.com/show_bug.cgi?id=2038907

https://bugzilla.redhat.com/show_bug.cgi?id=2040327

https://bugzilla.redhat.com/show_bug.cgi?id=2040329

https://bugzilla.redhat.com/show_bug.cgi?id=2040331

https://bugzilla.redhat.com/show_bug.cgi?id=2041559

https://bugzilla.redhat.com/show_bug.cgi?id=2044521

https://bugzilla.redhat.com/show_bug.cgi?id=2044528

https://bugzilla.redhat.com/show_bug.cgi?id=2044534

https://bugzilla.redhat.com/show_bug.cgi?id=2044538

https://bugzilla.redhat.com/show_bug.cgi?id=2044542

https://bugzilla.redhat.com/show_bug.cgi?id=2044551

https://bugzilla.redhat.com/show_bug.cgi?id=2044553

https://bugzilla.redhat.com/show_bug.cgi?id=2045291

https://bugzilla.redhat.com/show_bug.cgi?id=2053179

https://bugzilla.redhat.com/show_bug.cgi?id=2053181

https://bugzilla.redhat.com/show_bug.cgi?id=2053185

https://bugzilla.redhat.com/show_bug.cgi?id=2056474

https://bugzilla.redhat.com/show_bug.cgi?id=2073903

CVES

https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30809.json

https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30818.json

https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30823.json

https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30836.json

https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30884.json

https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30887.json

https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30888.json

https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30889.json

https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-30890.json

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.